Skip to main content
POST
Rerun task

Authorizations

Authorization
string
header
required

Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.

Headers

X-Workspace-ID
string<uuid>

Company UUID for a personal token on company-scoped operations. A company API key already binds its company.

Path Parameters

id
string
required

id from the corresponding authorized response.

Body

application/json
run_id
string

Response

RunResponse for the new attempt.

id
string
required
execution_owner_id
string
required
worker_id
string
required
task_id
string
required
workspace_id
string
required
status
enum<string>
required
Available options:
queued,
deferred,
dispatched,
running,
paused,
completed,
failed,
cancelled
dispatched_at
string | null
required
started_at
string | null
required
completed_at
string | null
required
result
any
required
error
string | null
required
attempt
integer
required
max_attempts
integer
required
created_at
string
required
delivered_message_ids
string[]
required
kind
string
required
access
object | null
model
string
thinking_level
string
service_tier
string
execution_receipt
object | null
failure_reason
string
parent_run_id
string | null
work_dir
string
relative_work_dir
string
branch_name
string
trigger_message_id
string | null
coalesced_message_ids
string[]
trigger_summary
string | null
automation_invocation_id
string
interaction_continuation
object | null
attribution
object | null
usage
object[]
billed
object | null